import { ICustomResourcePatch } from '../patches';
import { DefaultSection } from './base';
export declare class GlobalDefault extends DefaultSection {
    applicableProviders: string[];
    arrayPaths: any;
    constructor(data: any);
    __getDesiredPatches(cr: any, data: any): any[];
    __patches(_claim: any, _previousCR: any): Promise<ICustomResourcePatch[]>;
    __validate(_data: any): Promise<boolean>;
}
